WordPress.org

Support

Support » Plugins and Hacks » Smart Slideshow Widget (by obikui) » jquery error with wordpress 3.5

jquery error with wordpress 3.5

  • Hi,

    to fix the jquery error replace the sswEnqueueScripts functions in smart-slideshow-widget.php :

    function sswEnqueueScripts() {
            wp_enqueue_script('jquery');
            //bmo 2013 wp_enqueue_script('jQuery-UI-Effects', WP_PLUGIN_URL . '/smart-slideshow-widget/js/jquery-ui.min.js');
    		wp_enqueue_script('jquery-ui-core');
    		wp_enqueue_script('jquery-ui-widget');
    		wp_enqueue_script('jquery-effects-core');
    		wp_enqueue_script('jquery-effects-blind');
    		wp_enqueue_script('jquery-effects-bounce');
    		wp_enqueue_script('jquery-effects-clip');
    		wp_enqueue_script('jquery-effects-drop');
    		wp_enqueue_script('jquery-effects-explode');
    		wp_enqueue_script('jquery-effects-fade');
    		wp_enqueue_script('jquery-effects-fold');
    		wp_enqueue_script('jquery-effects-highlight');
    		wp_enqueue_script('jquery-effects-pulsate');
    		wp_enqueue_script('jquery-effects-scale');
    		wp_enqueue_script('jquery-effects-shake');
    		wp_enqueue_script('jquery-effects-slide');
    		wp_enqueue_script('jquery-effects-transfer');
    
            wp_enqueue_script('SSW', WP_PLUGIN_URL . '/smart-slideshow-widget/js/smart-slideshow-widget.js');
        }

    best regards
    Benedikt

    http://wordpress.org/extend/plugins/smart-slideshow-widget/

Viewing 4 replies - 1 through 4 (of 4 total)
  • Thanks bmo, I installed your fix but my WP 3.5 Dashboard is still broken when I enable smart-slideshow-widget, unless I add this at the bottom of wp-config.php:

    # http://wordpress.org/support/topic/dashboard-flyout-menu-wont-show-up-after-updating-to-342
    define('CONCATENATE_SCRIPTS', false);

    regards,
    eric

    Benedikt’s solution worked for me, although I wasn’t having a menu problem – in my case the Visual/Text editor toggle wasn’t working, and neither was the Add Media button.

    Thanks!

    Yep very good example. Also if you have a plugin that is having its jQuery scripts broken by this plugin since this plugin is loading its scripts everywhere throughout the frontend and backend of WordPress you can do something simple like this too.

    Find the location/code where scripts are enqueued in the plugin that is having its scripts broken by this plugin and then just add these 2 lines of code.

    // Loads Settings for B-Core and P-Security - Enqueue BPS scripts and styles
    function bulletproof_security_load_settings_page() {
    	global $bulletproof_security;
    	wp_enqueue_script('jquery');
    	wp_enqueue_script('jquery-ui-tabs');
    	wp_enqueue_script('jquery-ui-dialog');
    	wp_enqueue_script('jquery-form');
    	wp_enqueue_script('bps-js');
    
    	// Block SSW from loading its scripts in BPS Pro pages and breaking BPS Pro scripts/menus/etc
    	wp_dequeue_script( 'jQuery-UI-Effects', plugins_url('/smart-slideshow-widget/js/jquery-ui.min.js') );
    	wp_dequeue_script( 'SSW', plugins_url('/smart-slideshow-widget/js/smart-slideshow-widget.js') );
    
    	// Engueue BPS stylesheet
    	wp_enqueue_style('bps-css', plugins_url('/bulletproof-security/admin/css/bulletproof-security-admin-blue.css'));
    }

    I think all of the jquery-effects scripts are dependent on jquery-effects-core, so you should only have to call that.

    So replace

    wp_enqueue_script('jQuery-UI-Effects', WP_PLUGIN_URL . '/smart-slideshow-widget/js/jquery-ui.min.js');

    with

    wp_enqueue_script('jquery-effects-core');

    At least with the other plug-ins I’m running Smart Slideshow Widget, the above edit fixed the Widget Page, Media Library, and Add Media issues.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘jquery error with wordpress 3.5’ is closed to new replies.
Skip to toolbar